Summary: Utilities for monitoring your system and processes on your system.
Name: procps
%define major_version 2
%define minor_version 0
%define revision 6
%define version %{major_version}.%{minor_version}.%{revision}
Version: %{version}
Release: 12
License: GPL
Group: Applications/System
Source: ftp://people.redhat.com/johnsonm/procps/procps-%{version}.tar.gz
Patch0: procps-2.0.6-longlong.patch
Patch1: procps-2.0.6-sysmap.patch
Patch2: procps-2.0.6-sysctl.patch
Patch3: procps-2.0.6-pagesize.patch
Patch4: procps-2.0.6-man5.patch
Patch5: procps-2.0.6-install.patch
Patch6: procps-2.0.6-sig.patch
Patch7: procps-2.0.6-smp.patch
Patch8: procps-2.0.6-fhs.patch
Patch9: procps-2.0.6-biggerbuf.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package X11
Group: Applications/System
Summary: An X based system message monitoring utility.

%description
The procps package contains a set of system utilities which provide
system information.  Procps includes ps, free, sessreg, skill, snice,
tload, top, uptime, vmstat, w, and watch.  The ps command displays a
snapshot of running processes.  The top command provides a repetitive
update of the statuses of running processes.  The free command
displays the amounts of free and used memory on your system.  The
skill command sends a terminate command (or another specified signal)
to a specified set of processes.  The snice command is used to change
the scheduling priority of specified processes.  The tload command
prints a graph of the current system load average to a specified tty.
The uptime command displays the current time, how long the system has
been running, how many users are logged on and system load averages
for the past one, five and fifteen minutes.  The w command displays a
list of the users who are currently logged on and what they're
running.  The watch program watches a running program.  The vmstat
command displays virtual memory statistics about processes, memory,
paging, block I/O, traps and CPU activity.

%description X11
The procps-X11 package contains the XConsole shell script, a
backwards-compatibility wrapper for the xconsole program. The xconsole
program displays system messages which are usually sent to
/dev/console.

%prep
%setup
%patch0 -p1 -b .longlong
%patch1 -p1 -b .sysmap
%patch2 -p1 -b .sysctl
%patch3 -p1 -b .pagesize
%patch4 -p1 -b .man5
%patch5 -p1 -b .install
%patch6 -p1 -b .sig
%patch7 -p1 -b .smp
%patch8 -p1 -b .fhs
%patch9 -p1 -b .biggerbuf

%build
PATH=/usr/X11R6/bin:$PATH

make CC="gcc $RPM_OPT_FLAGS" MANDIR=%{_mandir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/bin %{buildroot}/usr/bin %{buildroot}/sbin
mkdir -p %{buildroot}%{_mandir}/{man1,man5,man8}
mkdir -p %{buildroot}/lib %{buildroot}/usr/X11R6/bin

make DESTDIR=%{buildroot} MANDIR=%{_mandir} install

# Since this is specific to Red Hat Linux, we'll leave this in the spec file.
mkdir -p %{buildroot}/etc/X11/applnk/Utilities
cat > %{buildroot}/etc/X11/applnk/Utilities/top.desktop <<EOF
[Desktop Entry]
Name=Top
Type=Application
Comment=display processes by CPU time, memory usage, etc.
Exec=top
Terminal=true
EOF

%clean
rm -rf %{buildroot}

%post
# add libproc to the cache
/sbin/ldconfig
# remove obsolete files
rm -f /etc/psdevtab /etc/psdatabase

%files
%defattr(0644,root,root,755)
%attr(0644,root,root) %config(missingok) /etc/X11/applnk/Utilities/top.desktop
%doc NEWS BUGS TODO
%attr(755,root,root) /lib/libproc.so.2.0.6
%attr(555,root,root) /bin/ps
%attr(555,root,root) /sbin/sysctl
%attr(555,root,root) /usr/bin/oldps
%attr(555,root,root) /usr/bin/uptime
%attr(555,root,root) /usr/bin/tload
%attr(555,root,root) /usr/bin/free
%attr(555,root,root) /usr/bin/w
%attr(555,root,root) /usr/bin/top
%attr(555,root,root) /usr/bin/vmstat
%attr(555,root,root) /usr/bin/watch
%attr(555,root,root) /usr/bin/skill
%attr(555,root,root) /usr/bin/snice

%attr(0644,root,root) %{_mandir}/man1/free.1*
%attr(0644,root,root) %{_mandir}/man1/ps.1*
%attr(0644,root,root) %{_mandir}/man1/oldps.1*
%attr(0644,root,root) %{_mandir}/man1/skill.1*
%attr(0644,root,root) %{_mandir}/man1/snice.1*
%attr(0644,root,root) %{_mandir}/man1/tload.1*
%attr(0644,root,root) %{_mandir}/man1/top.1*
%attr(0644,root,root) %{_mandir}/man1/uptime.1*
%attr(0644,root,root) %{_mandir}/man1/w.1*
%attr(0644,root,root) %{_mandir}/man1/watch.1*
%attr(0644,root,root) %{_mandir}/man8/vmstat.8*
%attr(0644,root,root) %{_mandir}/man8/sysctl.8*
%attr(0644,root,root) %{_mandir}/man5/sysctl.conf.5*

%files X11
%attr(0755,root,root) /usr/X11R6/bin/XConsole

%changelog
* Tue Jul 03 2000 Preston Brown <pbrown@redhat.com>
- larger buffers for reading /proc/stat

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Tue May 30 2000 Preston Brown <pbrown@redhat.com>
- add smp, signal name patches from VA Linux.  Thanks guys.

* Mon May 22 2000 Harald Hoyer <harald@redhat.com>
- added sysctl.conf (5) man page

* Wed May 10 2000 Bill Nottingham <notting@redhat.com>
- fix PAGE_SIZE mismatch on ia64

* Sun May  7 2000 Bill Nottingham <notting@redhat.com>
- rebuild with different optimizations for ia64

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses

* Tue Mar  7 2000 Bill Nottingham <notting@redhat.com>
- fix end-of-file behavior in sysctl

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Mon Feb  7 2000 Jakub Jelinek <jakub@redhat.com>
- don't try to load System.map (and spit error messages if it does not
  exist) if ps or top are not going to use it, both to speed things up
  and remove the ugly messages when they don't make sense.
- in top, print the possible error messages using standard top SHOWMESSAGE
  (because it will be now printed out when already in terminal mode).

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- added patch to prevent divide by zero on UltraSparc
- gzip man pages

